<?php
/**
* @version		1.6.0
* @package		Joomla
* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
* @license		GNU/GPL, see LICENSE.php
*/

// ensure this file is being included by a parent file
defined('_JEXEC') or die( 'Restricted access' );
//defined('DS') or define('DS', DIRECTORY_SEPARATOR);
use Joomla\CMS\Factory;
use Joomla\CMS\Plugin\PluginHelper;
use Joomla\CMS\Filesystem\Folder;
use Joomla\Filesystem\File;
use Joomla\Filesystem\Path;
use Joomla\Registry\Registry;
use Joomla\CMS\Language\Text;
use Joomla\CMS\Helper\ModuleHelper as JModuleHelper;
// Include the syndicate functions only once
require_once (dirname(__FILE__).DIRECTORY_SEPARATOR.'helper.php');

// Uses the JdbAutoBackup parameters 
$plugin = PluginHelper::getPlugin( 'system', 'lazydbbackup' );
//$plugin = JPluginHelper::getPlugin( 'system', 'lazydbbackup' );
//jimport( 'joomla.registry.registry' );
//$pluginParams = new JParameter( @$plugin->params );
if(!empty($plugin))
{
	$pluginParams = new Registry( $plugin->params );
//$pluginParams = new JRegistry( $plugin->params );

/*$nbDays = $pluginParams->def('xdays', 0);
//$path = JPATH_ROOT.DIRECTORY_SEPARATOR."media";
$path = JPATH_ROOT.DIRECTORY_SEPARATOR."plugins/system/lazydbbackup/dumps";
$backuppath = $pluginParams->def('backuppath', JPATH_ROOT.DIRECTORY_SEPARATOR."media");
*/
$nbDays = $pluginParams->get('xdays', 0);
//$path = JPATH_ROOT.DIRECTORY_SEPARATOR."media";
$path = JPATH_ROOT.DIRECTORY_SEPARATOR."plugins/system/lazydbbackup/dumps";
$backuppath = $pluginParams->get('backuppath', JPATH_ROOT.DIRECTORY_SEPARATOR."media");
if ($backuppath == '/plugins/system/lazydbbackup/dumps') $backuppath=JPATH_ROOT . '/plugins/system/lazydbbackup/dumps';
	if (!is_dir($backuppath)) { 
		$backuppath = JPATH_ROOT .'/plugins/system/lazydbbackup/dumps'; /// 14/03/2021 gestion changement de serveur
	}


if (preg_match("#//#",$backuppath)) {
	$backuppath = str_replace("//", "/", $backuppath);
}
// Uses the LDBChecker parameters 
/*$boolNbBackups = $params->def('nbBackups', 1);
$boolLastBackupDate = $params->def('lastBackupDate', 1);
$intNbOldBackups = $params->def('nbOldBackups', 0);
*/
$boolNbBackups = $params->get('nbBackups', 1);
$boolLastBackupDate = $params->get('lastBackupDate', 1);
$intNbOldBackups = $params->get('nbOldBackups', 0);

//if(!empty($plugin))
//{
  //if the numbers of backup must be displayed
  if($boolNbBackups == 1)
  {
    $nbBackup = 0;
	$nbBackup = mod_LDBChecker::getNbBackups($backuppath);
	//$nbBackup = mod_LDBChecker::getNbBackups($backuppath);
  }
  
  //if the last backup's date must be displayed
  if($boolLastBackupDate == 1)
  { //echo($path);
    //$datebackup = mod_LDBChecker::getLastBackupDate(JPATH_ROOT.DS."media", $nbBackup, $nbDays); 
	$datebackup = mod_LDBChecker::getLastBackupDate($path, $nbBackup, $nbDays); 
	$lastDate = $datebackup;
  }
  
  //If it is 0, we want to keep all the backups
  if($intNbOldBackups > 0)
  {
    mod_LDBChecker::delOldBackups($backuppath, $intNbOldBackups, $nbBackup);
	  //if the numbers of backup must be displayed we count afeter delete
	  if($boolNbBackups == 1)
	  {
		$nbBackup = 0;
		$nbBackup = mod_LDBChecker::getNbBackups($backuppath);
	  }
    }
  
  //Go to view (default.php)
  require(JModuleHelper::getLayoutPath('mod_ldbchecker'));
}
else
{
  //echo "<div style='padding-top: 6px; height: 19px'>".JTEXT::_('LDBC_ALERT_INSTALL')."</div>";
  echo "<div style='padding-top: 6px; height: 19px'>".Text::_('LDBC_ALERT_INSTALL')."</div>";
}
?>